const formatItem = require('../utils/formatItem')

class Queue {
    constructor(){
        this.fs = require('fs')
        this.path = require('path')
        this.datafilePath = this.path.join(__dirname, '../../dataToSend.json')
        this.doing = {}
        this.done = {}
        this.items = new Array()
        
        if(this.fs.existsSync(this.datafilePath)){
            this.items = JSON.parse(this.fs.readFileSync(this.datafilePath))
        } else {
            this.fs.writeFileSync(this.datafilePath, JSON.stringify(this.items))
        }
    }

    send(item){
        let novoItem = formatItem(item)
        this.items.push(novoItem)
        this.save()
    }

    rollback(olditem){
        this.items.unshift(olditem)
        this.save()
    }

    next(){
        let item = this.items.shift()
        this.save()
        return item
    }
    save(){
        this.fs.writeFileSync(this.datafilePath, JSON.stringify(this.items))
    }
}

module.exports = new Queue()