function publisher(){
    let queue = require('../modules/queue');
    let environment = require('../modules/environment');
    let md5 = require('md5');
    let endpoint = environment.publisher_api.endpoint;
    let endpointAuth = environment.publisher_api.endpointAuth;
    let devMode = environment.config.devMode;
    let snapshopEndpoint = environment.publisher_api.snapshopEndpoint;
    let interval = environment.publisher_api.snapshopInterval;
    let axios = require('axios');
    let formatSnapshot = require('../utils/formatSnapshot');

    let auth = {};
    auth.email = environment.publisher_api.email;
    auth.pwd = environment.publisher_api.pwd;
    axios.defaults.headers.post['Content-Type'] = 'application/json; charset=utf-8';

    if (environment.proxy.useProxy){
        axios.defaults.proxy = {
            protocol: environment.proxy.protocol,
            host: environment.proxy.host,
            port: environment.proxy.port
        }
    }

    let token = '';

    async function sendItems(){
        if (queue.items.length > 0){
            if(token == ''){
                token = await authentication();
                token == ''? console.log('Autentificação API Durski inválida.'):false;
            }
            let item = queue.next()

            axios.post(endpoint, item, { headers: { "D-Authorization": token }}).then( _ => {
                sendItems()
            }).catch( err => {
                token = '';
                console.log( err )
                queue.rollback(item)
                setTimeout( sendItems, 1000)
            })
        } else {
            setTimeout( sendItems, 1000)
        }
    }

    async function sendSnapshot(){


        if(token == ''){
            token = await authentication();
            token == ''? console.log('Autentificação API Durski inválida.'):false;
        } 
        let item = formatSnapshot(queue.doing, queue.done) 
        
        axios.post(snapshopEndpoint, item, { headers: { "D-Authorization": token }}).then( _ => {
            setTimeout( sendSnapshot, interval * 60 * 1000)
            
        }).catch( err => {
            token = '';
            console.log( err )
            setTimeout( sendSnapshot, interval * 60 * 1000)
        })
    }

    //Autentica e retorna o token
    async function authentication(){

        if(!!devMode){
            return md5(1);
        }
        
        let response = await axios.post(endpointAuth, auth).then( _ => {
            return _
        }).catch( err => {     
            console.log(err)
            return err
        })
        if(response.status == 200 && response.data.result_object != undefined){
            return response.data.result_object.token;
        }else{
            return ''
        }
        
    }

    if(environment.publisher_api.use_publisher == true){
        sendItems();
        sendSnapshot();
    }

}

module.exports = publisher