function query(){
    data = {
        getOrdersOnProduction: `
            SELECT DISTINCT IPF.NRVENDAREST, IPF.IDORIGEMVENDA, P.CDFILIAL, P.CDLOJA, P.CDSENHAPED, P.NRPEDIDOFOS, P.DTPEDIDOFOS
            FROM PEDIDOFOS P
            JOIN ITPEDIDOFOS IPF ON (P.NRPEDIDOFOS = IPF.NRPEDIDOFOS)
            JOIN SETOR STR ON (STR.CDSETOR = IPF.CDSETOR)
                WHERE IDSITITPEDFOS IN ('P', 'E','F')
                AND IPF.DTHRPRIEXPED IS NULL
                AND STR.IDTIPOSETOR = 'E'
            AND P.CDLOJA = :CDLOJA
            ORDER BY P.DTPEDIDOFOS
        `,

        getPaidOrdersOnProduction: `
            SELECT DISTINCT IPF.NRVENDAREST, IPF.IDORIGEMVENDA, P.CDFILIAL, P.CDLOJA, P.CDSENHAPED, P.NRPEDIDOFOS, P.DTPEDIDOFOS
            FROM PEDIDOFOS P
            JOIN ITPEDIDOFOS IPF ON (P.NRPEDIDOFOS = IPF.NRPEDIDOFOS)
            JOIN VENDA V ON (P.NRCOMANDA = V.NRCOMANDAVND OR IPF.NRSEQVENDA = V.NRSEQVENDA)
                AND V.CDFILIAL = P.CDFILIAL
                AND V.CDSENHAPED = P.CDSENHAPED
            JOIN SETOR STR ON (STR.CDSETOR = IPF.CDSETOR)
                WHERE IDSITITPEDFOS IN ('P', 'E', 'F')
                AND IPF.DTHRPRIEXPED IS NULL
                AND STR.IDTIPOSETOR = 'E'
            AND P.CDLOJA = :CDLOJA
            ORDER BY P.DTPEDIDOFOS
        `,

        getOrdersToCall: `
        SELECT DISTINCT SP.CDFILIAL, CX.CDLOJA, SP.NRSEQVENDA, SP.CDSENHAPED, SP.DTNOTIFICACAO, ITP.NRVENDAREST, ITP.IDORIGEMVENDA
            FROM SENHAPED SP
            JOIN PEDIDOFOS PED ON (PED.CDSENHAPED = SP.CDSENHAPED)
            JOIN ITPEDIDOFOS ITP ON (ITP.NRPEDIDOFOS = PED.NRPEDIDOFOS AND ITP.DTHRPRIEXPED IS NOT NULL)
            JOIN SETOR SE ON (SE.CDSETOR = ITP.CDSETOR)
            INNER JOIN CAIXA CX ON (CX.CDCAIXA = SP.CDCAIXA)
            WHERE IDSTATUS = 'A'
            AND SE.IDTIPOSETOR = 'E'
            AND CX.CDLOJA = :CDLOJA  
            ORDER BY DTNOTIFICACAO DESC
        `,

        deleteExceededRegistry: `
            DELETE SENHAPED WHERE 
            DTNOTIFICACAO <= DATEADD(MINUTE,-:EXPIRE,GETDATE()) AND  CDCAIXA IN (SELECT CDCAIXA FROM CAIXA WHERE CDLOJA = :CDLOJA)
            OR CDSENHAPED NOT IN (SELECT CDSENHAPED FROM PEDIDOFOS WHERE NRPEDIDOFOS 
            IN ( SELECT DISTINCT NRPEDIDOFOS FROM ITPEDIDOFOS WHERE IDSITITPEDFOS  <> 'X' ))
        `,

        getParamIDCONDPEDPAG: `
            SELECT IDCONDPEDPAG 
                FROM LOJA 
                WHERE CDFILIAL = :CDFILIAL 
                    AND CDLOJA = :CDLOJA
        `
    }
    return data
}

module.exports = query